package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.flowpool.FlowPoolConstants;
import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.apache.commons.lang3.tuple.Pair;
import org.springframework.stereotype.Service;

/**
 * @author dyp
 */
@Service
public class QuickFlowPoolWithLevelRecallStrategy extends AbstractFlowPoolWithLevelRecallStrategy {

    @Override
    Pair<String, String> flowPoolKeyAndLevel(RecallParam param) {
        if (param.isFlowPoolUpgrade()) {
            return Pair.of(FlowPoolConstants.KEY_QUICK_WITH_LEVEL_FORMAT_V2, "-1");
        }
        return Pair.of(String.format("flow:pool:quick:item:%s:3", param.getAppType()), "");
    }

    @Override
    public String pushFrom() {
        return FlowPoolConstants.QUICK_PUSH_FORM;
    }

}
